| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkWinUi::InputDescriptor Class Referencefinal

Describes an input event. More...

## Public Member Functions
| InputDescriptor (const KeyEventData &keyEvent) noexcept
| InputDescriptor (const ClickEventData &clickEvent) noexcept
| InputDescriptor (const MouseMoveEventData &mouseMoveEvent) noexcept
| InputDescriptor (const WheelEventData &wheelEvent) noexcept
| ~InputDescriptor ()
EVENT_TYPE | getType () const
const KeyEventData & | getKeyEvent () const
const ClickEventData & | getClickEvent () const
const MouseMoveEventData & | getMouseMoveEvent () const
const WheelEventData & | getWheelEvent () const

## Detailed Description

Describes an input event.

This class is used to describe simulated events within components. See Component::simulateEvent().

## Constructor & Destructor Documentation

## ◆ InputDescriptor() [1/4]

nkWinUi::InputDescriptor::InputDescriptor | ( | const KeyEventData & | keyEvent | ) |
| noexcept

Key event constructor.

Parameters

  keyEvent | The key event to use as an input.

## ◆ InputDescriptor() [2/4]

nkWinUi::InputDescriptor::InputDescriptor | ( | const ClickEventData & | clickEvent | ) |
| noexcept

Click event constructor.

Parameters

  clickEvent | The click event to use as an input.

## ◆ InputDescriptor() [3/4]

nkWinUi::InputDescriptor::InputDescriptor | ( | const MouseMoveEventData & | mouseMoveEvent | ) |
| noexcept

Mouse move event constructor.

Parameters

  mouseMoveEvent | The mouse move event to use as an input.

## ◆ InputDescriptor() [4/4]

nkWinUi::InputDescriptor::InputDescriptor | ( | const WheelEventData & | wheelEvent | ) |
| noexcept

Mouse wheel event constructor.

Parameters

  wheelEvent | The mouse weel event to use as an input.

## ◆ ~InputDescriptor()

nkWinUi::InputDescriptor::~InputDescriptor | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ getType()

EVENT_TYPE nkWinUi::InputDescriptor::getType | ( |  | ) | const

Returns
  The associated event type.

## ◆ getKeyEvent()

const KeyEventData& nkWinUi::InputDescriptor::getKeyEvent | ( |  | ) | const

Returns
  The associated key event data.

## ◆ getClickEvent()

const ClickEventData& nkWinUi::InputDescriptor::getClickEvent | ( |  | ) | const

Returns
  The associated click event data.

## ◆ getMouseMoveEvent()

const MouseMoveEventData& nkWinUi::InputDescriptor::getMouseMoveEvent | ( |  | ) | const

Returns
  The associated mouse move event data.

## ◆ getWheelEvent()

const WheelEventData& nkWinUi::InputDescriptor::getWheelEvent | ( |  | ) | const

Returns
  The associated mouse wheel event data.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsWinUi/Inputs/InputDescriptor.h